Bug 173191 - Eth* assignments are not related to ifcfg setup
Eth* assignments are not related to ifcfg setup
Product: Fedora
Classification: Fedora
Component: hotplug (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2005-11-14 16:05 EST by Andre Srinivasan
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.31.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-25 13:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Srinivasan 2005-11-14 16:05:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have ifcfg-eth0 setup for my e1000 ethernet card and ifcfg-eth1 setup for my ipw2100 wifi card.  But depending on the order that hotplug loads the modules, the ipw2100 can end up on eth0.  It would be nice to have one configuration that drives the setup rather than having to fight with the module load order.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Configure eth0 and eth1 opposite of the order that the NIC modules get loaded
2. Reboot

Actual Results:  The NIC that should be on eth1 is on eth0 due to the driver module getting loaded first.

Expected Results:  Based on whats in the ifcfg-eth0, the right driver should be associated with eth0.

Additional info:

Here's my workaround.  Add the following to modprobe.conf to force the eth0 driver to get loaded first.

install ipw2100 /sbin/modprobe -q eth0; /sbin/modprobe --ignore-install ipw2100
Comment 1 Bill Nottingham 2005-11-14 16:57:21 EST
Do you have HWADDR set in your ifcfg files?
Comment 2 John Thacker 2006-05-05 16:36:21 EDT
Closing due to lack of response by reporter.
Comment 3 Andre Srinivasan 2006-05-25 11:13:17 EDT
Sorry, I missed the update notifications and only noticed this when I was
browsing through to see if issues had been resolved.  In answer to your last
question, yes I have HWADDR set.  I've also since moved to FC5 with all the up
to the minute updates.
Comment 4 Bill Nottingham 2006-05-25 12:28:42 EDT
Can you try the initscripts from updates-testing?
Comment 5 Andre Srinivasan 2006-05-25 13:54:29 EDT
I updated, removed all my guards to force the ordering, and after a couple of
reboots I have had no problems.  Not sure what you want to do.  Perhaps close
this for now and if I see the issue again, I'll reopen?


Comment 6 Bill Nottingham 2006-05-25 13:57:39 EDT
Closing in rawhide. That will get pushed to final eventually.

Note You need to log in before you can comment on or make changes to this bug.